package org.processmining.logprojection.calculators;

import org.deckfour.xes.model.XAttribute;
import org.deckfour.xes.model.XTrace;
import org.deckfour.xes.model.impl.XAttributeDiscreteImpl;
import org.processmining.logprojection.DataManager.AttributeValueCalculator;

public class IndexInLogAttributeCalculator implements AttributeValueCalculator<XTrace> {
	private final String sequenceNumber;

	public IndexInLogAttributeCalculator(String sequenceNumber) {
		this.sequenceNumber = sequenceNumber;
	}

	@Override
	public XAttribute[] computeAttributes(XTrace trace, int traceIndex, int... header) {

		XAttribute a2 = new XAttributeDiscreteImpl(sequenceNumber, traceIndex);

		return new XAttribute[] { a2 };

	}
}
